Kerbal Space Program - Bug #15375

Incorrect/unreadable text displayed in messages, contracts, dialog windows in Linux
05/26/2017 04:30 PM - ThirdOfSeven

Status: Ready to Test Start date: 05/26/2017
Severity: Normal % Done: 80%
Assignee:

Category:

Target version: 1.12.0

Version: 1.3.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Mostly it is related to numbers or multiple choices. It can appear in contracts, crew recovery, when you load craft in the Editor and
when you load saved game.

It appears not only with Russian version. When | switch it to English, | still get it.

With English | get this even when loading save games, if save game is Sandbox or Science. It doesn't matter which version you use
to create such savegame or craft file.

| use x86_64 Ubuntu 14.04 with
LANG=en_US.utf8
LANGUAGE=en_US

Related issues:
Related to Kerbal Space Program - Feedback #15396: Recommended in Steam Linux... Investigating

History

#1 - 05/26/2017 05:08 PM - Squelch

- Status changed from New to Need More Info

Thanks for reporting this ThirdOfSeven, could you please attach your player.log found in
~/.config/unity3d/Squad/Kerbal Space Program/Player.log

#2 - 05/26/2017 05:19 PM - ThirdOfSeven
- File Player.log added

Here it is. | believe it is from last English version start

#3 - 05/27/2017 07:25 AM - Squelch

- Status changed from Need More Info to Not a Bug
- % Done changed from 0 to 100

Thanks for the update.

Your log reveals that you have a missing dependency. This prevents the grammar engine (Lingoona) from being able to process the strings into
readable text.

| am unable to reproduce your missing dependency on Ubuntu 17.04 32bit and 64bit using the Steam Launcher available from the Ubuntu Software
store.

Unfortunately we are unable to provide any further support here because this is a system problem and not a bug, but the following advice may help:

Please ensure that your OS and packages are up to date. Obtaining a compatible Steam client directly from your distro repository is also advised. For
example, the installer available from Steam may not correctly set the environment for your machine.

The following will reveal the dependencies required to run KSP.

Open a terminal and change to
~/.local/share/Steam/SteamApps/common/Kerbal Space Program/

Run the following command

1dd KSP.x86

This will display the required libraries, and where it expects to find them. It will also identify which are missing. This information may be useful to while
seeking advice on how to fix the problem.

Please do use our Technical Support forum where other Linux players may be able help, and of course your favorite Linux support portal.

#4 - 05/27/2017 10:36 AM - ThirdOfSeven

Nothing is missing here, actually:
% ldd KSP.x86_64

Started at 13:26:25

linux-vdso.so0.1 => (0x00007ffe641ef000)

libdl.s0.2 => /lib/x86_64-linux-gnu/libdl.s0.2 (0x000000384ea00000)

libpthread.so0.0 => /lib/x86_64-linux-gnu/libpthread.s0.0 (0x000000384ee00000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x000000384fe00000)

libGL.so.1 => /usr/lib/nvidia-375/libGL.s0.1 (0x0000003f22800000)

libX11.50.6 => /usr/lib/x86_64-linux-gnu/libX11.s0.6 (0x0000003851e00000)
libXcursor.so.1 => /usr/lib/x86_64-linux-gnu/libXcursor.so.1 (0x0000003857200000)
libXrandr.so.2 => /ust/lib/x86_64-linux-gnu/libXrandr.so.2 (0x0000003859600000)
libstdc++.50.6 => /usr/lib/x86_64-linux-gnu/libstdc++.50.6 (0x0000003856a00000)
libm.s0.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x000000384f600000)

libgcc_s.so0.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x0000003855e00000)
libc.s0.6 => /lib/x86_64-linux-gnu/libc.so0.6 (0x000000384e600000)
/lib64/ld-linux-x86-64.s0.2 (0x000000384€200000)

libGLX.s0.0 => /ust/lib/nvidia-375/libGLX.s0.0 (0x0000003f22c00000)
libGLdispatch.s0.0 => /usr/lib/nvidia-375/libGLdispatch.s0.0 (0x0000003f22400000)
libxcb.s0.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x0000003851a00000)
libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1 (0x0000003854600000)
libXfixes.s0.3 => /usr/lib/x86_64-linux-gnu/libXfixes.s0.3 (0x0000003854e00000)
libXext.s0.6 => /ust/lib/x86_64-linux-gnu/libXext.s0.6 (0x0000003852600000)
libXau.s0.6 => /usr/lib/x86_64-linux-gnu/libXau.so0.6 (0x0000003850e00000)
libXdmcp.s0.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so0.6 (0x0000003851600000)

Actually to diagnose this problem this can help:
% ldd KSP_Data/Plugins/x86_64/liblingoona.grammar.kerbal.so

Started at 13:32:45

KSP_Data/Plugins/x86_64/liblingoona.grammar.kerbal.so: /usr/lib/x86_64-linux-gnu/libstdc++.s0.6: version "CXXABI_1.3.8' not found (required by
KSP_Data/Plugins/x86_64/liblingoona.grammar.kerbal.so)

KSP_Data/Plugins/x86_64/liblingoona.grammar.kerbal.so: /ust/lib/x86_64-linux-gnu/libstdc++.s0.6: version "GLIBCXX_3.4.20' not found (required by
KSP_Data/Plugins/x86_64/liblingoona.grammar.kerbal.so)

KSP_Data/Plugins/x86_64/liblingoona.grammar.kerbal.so: /usr/lib/x86_64-linux-gnu/libstdc++.50.6: version "GLIBCXX_3.4.21' not found (required by
KSP_Data/Plugins/x86_64/liblingoona.grammar.kerbal.so)

linux-vdso.so0.1 => (0x00007ffc65f85000)

libstdc++.50.6 => /ust/lib/x86_64-linux-gnu/libstdc++.50.6 (0x00007eff9d914000)

libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so0.1 (0x00007eff9d6fe000)

libc.s0.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007eff9d335000)

libm.s0.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007eff9d02f000)

/lib64/ld-linux-x86-64.s0.2 (0x000000384e200000)

It reveals the problem to me. Looks like lingoona use newer version of libstdc++ to build lingoona shared library and it is not present in Ubuntu 14.04
wihtout using PPA to install GCC 4.9.

But 14.04 is recommended version in steam store page. Please update.

#5 - 05/30/2017 11:02 AM - Squelch

05/01/2024 2/3


http://forum.kerbalspaceprogram.com/index.php?/forum/69-technical-support-pc-unmodded-installs/

- Related to Feedback #15396: Recommended in Steam Linux disto version is not correct for 1.3 added

#6 - 05/30/2017 12:57 PM - Squelch
- Status changed from Not a Bug to Investigating

- % Done changed from 100 to 20

Thank you for the feedback, it is most useful. | am now able to confirm that Lingoona is unable to load the libs in Ubuntu 14.04 LTS.

This has now been forwarded to the correct people for investigation.

#8 - 07/10/2017 05:44 AM - Toodzi

Any news ? It should just be a matter of recompiling the lib targetting an older version of glibc.

#9 - 07/10/2017 06:18 AM - ThirdOfSeven

Toodzi wrote:

Any news ? It should just be a matter of recompiling the lib targetting an older version of glibc.

Pretty sure it will be fixed in 1.3.1. Not earlier.

#10 - 07/10/2017 06:32 AM - Toodzi
ThirdOfSeven wrote:

Pretty sure it will be fixed in 1.3.1. Not earlier.

| have no idea when 1.3.1 is planned, but I'd expect some signs of life, if the problem was actually fixed and just awaiting a release. (and since it's just

1 file, it could be easy to "private beta pre-release").

#11 - 06/24/2021 11:05 PM - victorr
- Status changed from Investigating to Ready to Test
- Target version set to 1.12.0

- % Done changed from 20 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.
